.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ColorPickerButton.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ColorPickerButton:

ColorPickerButton
=================

**Inherits:** :ref:`Button<class_button>` **<** :ref:`BaseButton<class_basebutton>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Button that pops out a :ref:`ColorPicker<class_colorpicker>`

Member Functions
----------------

+----------------------------------------+-------------------------------------------------------------------------+
| :ref:`ColorPicker<class_colorpicker>`  | :ref:`get_picker<class_ColorPickerButton_get_picker>` **(** **)** const |
+----------------------------------------+-------------------------------------------------------------------------+
| :ref:`PopupPanel<class_popuppanel>`    | :ref:`get_popup<class_ColorPickerButton_get_popup>` **(** **)** const   |
+----------------------------------------+-------------------------------------------------------------------------+

Signals
-------

.. _class_ColorPickerButton_color_changed:

- **color_changed** **(** :ref:`Color<class_color>` color **)**

Emitted when the color changes.


Member Variables
----------------

  .. _class_ColorPickerButton_color:

- :ref:`Color<class_color>` **color** - The currently selected color.

  .. _class_ColorPickerButton_edit_alpha:

- :ref:`bool<class_bool>` **edit_alpha** - If ``true`` the alpha channel in the displayed :ref:`ColorPicker<class_colorpicker>` will be visible. Default value: ``true``.


Description
-----------

Encapsulates a :ref:`ColorPicker<class_colorpicker>` making it accesible by pressing a button, pressing the button will toggle the :ref:`ColorPicker<class_colorpicker>` visibility

Member Function Description
---------------------------

.. _class_ColorPickerButton_get_picker:

- :ref:`ColorPicker<class_colorpicker>` **get_picker** **(** **)** const

Returns the ``ColorPicker`` that this ``ColorPickerButton`` toggles.

.. _class_ColorPickerButton_get_popup:

- :ref:`PopupPanel<class_popuppanel>` **get_popup** **(** **)** const

Returns the control's :ref:`PopupPanel<class_popuppanel>` which allows you to connect to Popup Signals. This allows you to handle events when the ColorPicker is shown or hidden.


